Subject: pkg/30944: Installation of "p5-pilot-link" package broken
To: None <,,>
From: Matthias Scheler <>
List: pkgsrc-bugs
Date: 08/08/2005 12:43:00
>Number:         30944
>Category:       pkg
>Synopsis:       Installation of "p5-pilot-link" package broken
>Confidential:   no
>Severity:       serious
>Priority:       low
>Responsible:    pkg-manager
>State:          open
>Class:          sw-bug
>Submitter-Id:   net
>Arrival-Date:   Mon Aug 08 12:43:00 +0000 2005
>Originator:     Matthias Scheler
>Release:        NetBSD 3.99.7 2005-08-08 package sources
Matthias Scheler                        
Something goes seriously wrong with the installation of the "p5-pilot-link"
package after the recent update of the "perl" package:

gmake[1]: Leaving directory `/src/NetBSD-current/pkgsrc/comms/p5-pilot-link/work/pilot-link-0.11.7/bindings'
cd /src/NetBSD-current/pkgsrc/comms/p5-pilot-link/work/pilot-link-0.11.7/src &&                                          /usr/bin/install -c -o root -g wheel -m 555 ietf2datebook /usr/pkg/bin
cd /src/NetBSD-current/pkgsrc/comms/p5-pilot-link/work/pilot-link-0.11.7/src &&                                          /usr/bin/install -c -o root -g wheel -m 555 pilot-undelete /usr/pkg/bin
cd /src/NetBSD-current/pkgsrc/comms/p5-pilot-link/work/pilot-link-0.11.7/src &&                                          /usr/bin/install -c -o root -g wheel -m 555 sync-plan /usr/pkg/bin
cat: /usr/pkg/lib/perl5/vendor_perl/5.8.0/i386-netbsd-thread-multi/auto/PDA/Pilot/.packlist: No such file or directory
cat: /usr/pkg/lib/perl5/vendor_perl/5.8.0/i386-netbsd-thread-multi/auto/PDA/Pilot/.packlist: No such file or directory
Can't open /usr/pkg/lib/perl5/vendor_perl/5.8.0/i386-netbsd-thread-multi/auto/PDA/Pilot/.packlist: No such file or directory.
===> [Automatic manual page handling]
===> Compressing manual pages for p5-pilot-link-0.11.7nb3
===> Registering installation for p5-pilot-link-0.11.7nb3
p5-pilot-link-0.11.7nb3 requires installed package perl-5.8.7nb1
p5-pilot-link-0.11.7nb3 requires installed package pilot-link-libs-0.11.7nb3
p5-pilot-link-0.11.7nb3 requires installed package png-1.2.8
===> Checking for work-directory references in p5-pilot-link-0.11.7nb3

As the result most of the deliverables are missing:

tron@lyssa:/usr/pkgsrc/comms/p5-pilot-link#make list
Information for p5-pilot-link-0.11.7nb3:


cd pkgsrc/comms/p5-pilot-link
make install
make list

None provided.

 System: NetBSD 3.99.7 NetBSD 3.99.7 (LYSSA) #0: Mon Aug 8 08:53:27 BST 2005 i386
 Architecture: i386
 Machine: i386
 Perl: 5.8.7nb1